from .util import *
from . import fileutil

from polly.patcher import process_all_patches

# Task dependencies
from .extract import extract

def patch_resources():
    _ = extract()
    
    # Previously, we populated patched_resources with original resources too, now that is covered in the merge_resources step
    
    s = fileutil.merge_into(SRC_RESOURCES_DIR, PATCHED_RSC_DIR)
    if s:
        print("Copied custom resources from src/resources")
    else:
        print("Skipped copying resources from src/resources")
        
    # Patch other resources
    process_all_patches(SRC_RESOURCE_PATCHES_DIR, dest=PATCHED_RSC_DIR)